Do I need the latest PSP Firmware

Thread: Do I need the latest PSP Firmware

  1. Ginnerfreak's Avatar

    Ginnerfreak said:

    Help Do I need the latest PSP Firmware

    Ok,

    Ive been out of the PSP custom firmware scene for a while. A couple of years ago I did the whole Pandora battery thing and custom firmware etc,.. All quite simple really... even for my teeny tiny mind..

    I have just dug out my PSP so that my two and a half year old can watch films on it whilst we are on flights... and maybe a few games..

    Thansk to a little help from Consoles, Greaseweasel, and Ilscuro I can now convert fils for him to watch but now I have the PSP bug again and I want to play games..

    I downloaded a few games at the weekend, papaton and star wars backups in order to test.... as ISO and then stuck them in the ISO folder but they just give me an error message 80020148.. I am on 5.50 gen d3.. its a psp 2000 (slim).. is this because of old firmware..

    Also, there doesnt seem to be a huge amount of backups on n£wsgroups.. is that simply because the scene is quiet or are there other places to atain these.

    Virtual thanks button pressed already.. many thanks


    Freak..
  2. furrry's Avatar

    furrry said:

    Default Re: Do I need the latest PSP Firmware

    sounds like u need to update it m8,i am running CFW 639me3

    download this and also the official 639 firmware.

    rename the official firmware from eboot.pbp to 639.pbp

    then rename the CFW to eboot.pbp if not already named this.

    copy both into/PSP/GAME/UPDATE

    boot psp up and run the update. make sure full battery.
  3. Ginnerfreak's Avatar

    Ginnerfreak said:

    Default Re: Do I need the latest PSP Firmware

    Thought that this may be the case but I didn't want to take the step up without confirmation, as I cant find my Pandora!!..

    Thanks mate.
  4. mc.dodd's Avatar

    mc.dodd said:

    Default Re: Do I need the latest PSP Firmware

    Quote Originally Posted by furrry View Post
    sounds like u need to update it m8,i am running CFW 639me3

    download this and also the official 639 firmware.

    rename the official firmware from eboot.pbp to 639.pbp

    then rename the CFW to eboot.pbp if not already named this.

    copy both into/PSP/GAME/UPDATE

    boot psp up and run the update. make sure full battery.
    i have a PSP here off my mate which he says keeps crashing when playing games, will your solution fix this problem and allow him to play backups? don't know about the pandora battery thing although he says it was done before.

    it's a slim PSP but I don't know the model, how can I check this?
    cheers
    mcd
    PS3: mcd_dodd


  5. Thrush's Avatar

    Thrush said:

    Default Re: Do I need the latest PSP Firmware

    The model number is on the barcode at the bottom of the psp.
  6. furrry's Avatar

    furrry said:

    Default Re: Do I need the latest PSP Firmware

    not sure about crashing when playing games that might be a different problem m8. this issue i had was the games would not even start. you need to update to atleast cfw 5.50 in order to run the above cfw
  7. mc.dodd's Avatar

    mc.dodd said:

    Default Re: Do I need the latest PSP Firmware

    okay, seems like the model is PSP2003 slim version..
    system software: 5.00 M33-6
    whats the score on getting this updated and playing b/ups again?
    thanks in advance
    PS3: mcd_dodd


  8. chesser's Avatar

    chesser said:

    Default Re: Do I need the latest PSP Firmware

    This is interesting as my lad has an old Fat PSP and is running 5.50 gen 3 and all the new games seem to play? The problem he has is with movies freezing or locking up the PSP even though they have been converted properly...Ginner I'll email you a link to literally hundreds of PSP movies....
  9. {{909}}'s Avatar

    {{909}} said:

    Default Re: Do I need the latest PSP Firmware

    I'm not sure the name of the last hack i used, but it was as simple as running the official update (6.something) and then running a hack for it, which was about 500k to download. Seems the PSP has been hack to bollocky now they have worked out how to sign stuff. There are loads of games on torrents that are already signed and dont need a cfw at all. i haven't tried any though.
    [Only registered and activated users can see links. ]
  10. mc.dodd's Avatar

    mc.dodd said:

    Default Re: Do I need the latest PSP Firmware

    Quote Originally Posted by {{909}} View Post
    I'm not sure the name of the last hack i used, but it was as simple as running the official update (6.something) and then running a hack for it, which was about 500k to download. Seems the PSP has been hack to bollocky now they have worked out how to sign stuff. There are loads of games on torrents that are already signed and dont need a cfw at all. i haven't tried any though.
    so is all this Pandora battery stuff finished now then?
    PS3: mcd_dodd


  11. {{909}}'s Avatar

    {{909}} said:

    Default Re: Do I need the latest PSP Firmware

    looks it mate, mine stayed in the drawer.
    [Only registered and activated users can see links. ]
  12. chesser's Avatar

    chesser said:

    Default Re: Do I need the latest PSP Firmware

    just updated to 6.39 using instructions supplied and none of my games will load anymore..anyone any ideas?
  13. furrry's Avatar

    furrry said:

    Default Re: Do I need the latest PSP Firmware

    maybe your running the ofw 639 whats it say in system info mine says 639me3
  14. mc.dodd's Avatar

    mc.dodd said:

    Default Re: Do I need the latest PSP Firmware

    gonna try this soon as I can get a memory card for this PSP
    PS3: mcd_dodd


  15. chesser's Avatar

    chesser said:

    Default Re: Do I need the latest PSP Firmware

    Quote Originally Posted by furrry View Post
    maybe your running the ofw 639 whats it say in system info mine says 639me3
    mine says 6.39 ME-3

    Any ideas?
  16. Ginnerfreak's Avatar

    Ginnerfreak said:

    Default Re: Do I need the latest PSP Firmware

    Chesser

    Ill check mine when I get home (i am on customer site today in Cheadle) but I updated to 6.38 ME and all videos and games play fine..
  17. chesser's Avatar

    chesser said:

    Default Re: Do I need the latest PSP Firmware

    Thanks Ginner, for info I've just tried 6.39 ME-7 and still not joy I am getting error code 80010087 which seems to point towards an invalid firmware...I'll do a little more digging in the meantime if anyone has any ideas?
  18. chesser's Avatar

    chesser said:

    Default Re: Do I need the latest PSP Firmware

    mmm strange one I've now used another copy of 6.39 ME-7 and it works, must have been a dodgy firmware?